Funders
List funders
Query and list research funding agencies with filtering, sorting, and pagination.
GET
/
funders
curl -X GET "https://api.hexagraph.in/funders?sort=outputs_count:desc&per_page=10"
fetch("https://api.hexagraph.in/funders?sort=outputs_count:desc&per_page=10")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get("https://api.hexagraph.in/funders", params={"sort": "outputs_count:desc", "per_page": 10})
print(response.json())
{
"meta": {
"count": 45639,
"page": 1,
"per_page": 25
},
"results": [
{
"id": "HX_F4320321001",
"name": "National Natural Science Foundation of China",
"alternate_titles": [
"NNSF of China",
"Guójiā Zìrán Kēxué Jījīn Wěiyuánhuì",
"NSF of China",
"The National Natural Science Foundation of China"
],
"country": {
"code": "CN",
"name": "China"
},
"description": "Chinese government body",
"homepage_url": "https://www.nsfc.gov.cn",
"image_url": "https://commons.wikimedia.org/w/index.php?title=Special:Redirect/file/National Natural Science Foundation of China (20230310102823).jpg",
"image_thumbnail_url": "https://commons.wikimedia.org/w/index.php?title=Special:Redirect/file/National Natural Science Foundation of China (20230310102823).jpg&width=300",
"grants_count": 1698,
"awards_count": 1190293,
"outputs_count": 4455709,
"cited_by_count": 113648084,
"summary_stats": {
"2yr_mean_citedness": 5.924197295373457,
"h_index": 1211,
"i10_index": 2243793
},
"ids": {
"ror": "https://ror.org/01h0zpd94",
"wikidata": "https://www.wikidata.org/entity/Q4501917",
"crossref": "501100001809",
"doi": "10.13039/501100001809"
},
"counts_by_year": [
{
"year": 2028,
"outputs_count": 4,
"oa_outputs_count": 4,
"cited_by_count": 0
}
],
"roles": [
{
"role": "funder",
"id": "HX_F4320321001",
"outputs_count": 4455709
}
],
"updated_date": "2026-08-05T04:01:50",
"created_date": "2023-02-13T20:32:25"
}
]
}
{
"statusCode": 400,
"message": "Bad Request - Invalid query parameters",
"error": "Bad Request"
}
{
"statusCode": 429,
"message": "Rate limit exceeded. Maximum 30 requests per minute.",
"error": "Too Many Requests"
}
Retrieves a paginated list of funding agencies with filtering and sorting capabilities.
Query Parameters
integer
default:"1"
Page number for pagination. Default is
1.integer
default:"25"
Results per page. Allowed values:
10, 25, 50, 100.string
Filter expression (e.g.
country_code:US).string
Sorting parameter (e.g.
outputs_count:desc, cited_by_count:desc).Response Fields
object
required
array
required
Array of funder records.
Show results item attributes
Show results item attributes
string
Funder ID (
HX_F...).string
Funder display name.
array
Alternative titles or abbreviations.
object
string
Summary description.
string
Official website URL.
string
Image URL.
string
Thumbnail image URL.
integer
Grants count.
integer
Awards count.
integer
Outputs count.
integer
Citations count.
object
object
array
array
string
Last updated timestamp.
string
Creation timestamp.
curl -X GET "https://api.hexagraph.in/funders?sort=outputs_count:desc&per_page=10"
fetch("https://api.hexagraph.in/funders?sort=outputs_count:desc&per_page=10")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get("https://api.hexagraph.in/funders", params={"sort": "outputs_count:desc", "per_page": 10})
print(response.json())
{
"meta": {
"count": 45639,
"page": 1,
"per_page": 25
},
"results": [
{
"id": "HX_F4320321001",
"name": "National Natural Science Foundation of China",
"alternate_titles": [
"NNSF of China",
"Guójiā Zìrán Kēxué Jījīn Wěiyuánhuì",
"NSF of China",
"The National Natural Science Foundation of China"
],
"country": {
"code": "CN",
"name": "China"
},
"description": "Chinese government body",
"homepage_url": "https://www.nsfc.gov.cn",
"image_url": "https://commons.wikimedia.org/w/index.php?title=Special:Redirect/file/National Natural Science Foundation of China (20230310102823).jpg",
"image_thumbnail_url": "https://commons.wikimedia.org/w/index.php?title=Special:Redirect/file/National Natural Science Foundation of China (20230310102823).jpg&width=300",
"grants_count": 1698,
"awards_count": 1190293,
"outputs_count": 4455709,
"cited_by_count": 113648084,
"summary_stats": {
"2yr_mean_citedness": 5.924197295373457,
"h_index": 1211,
"i10_index": 2243793
},
"ids": {
"ror": "https://ror.org/01h0zpd94",
"wikidata": "https://www.wikidata.org/entity/Q4501917",
"crossref": "501100001809",
"doi": "10.13039/501100001809"
},
"counts_by_year": [
{
"year": 2028,
"outputs_count": 4,
"oa_outputs_count": 4,
"cited_by_count": 0
}
],
"roles": [
{
"role": "funder",
"id": "HX_F4320321001",
"outputs_count": 4455709
}
],
"updated_date": "2026-08-05T04:01:50",
"created_date": "2023-02-13T20:32:25"
}
]
}
{
"statusCode": 400,
"message": "Bad Request - Invalid query parameters",
"error": "Bad Request"
}
{
"statusCode": 429,
"message": "Rate limit exceeded. Maximum 30 requests per minute.",
"error": "Too Many Requests"
}
⌘I
curl -X GET "https://api.hexagraph.in/funders?sort=outputs_count:desc&per_page=10"
fetch("https://api.hexagraph.in/funders?sort=outputs_count:desc&per_page=10")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get("https://api.hexagraph.in/funders", params={"sort": "outputs_count:desc", "per_page": 10})
print(response.json())
{
"meta": {
"count": 45639,
"page": 1,
"per_page": 25
},
"results": [
{
"id": "HX_F4320321001",
"name": "National Natural Science Foundation of China",
"alternate_titles": [
"NNSF of China",
"Guójiā Zìrán Kēxué Jījīn Wěiyuánhuì",
"NSF of China",
"The National Natural Science Foundation of China"
],
"country": {
"code": "CN",
"name": "China"
},
"description": "Chinese government body",
"homepage_url": "https://www.nsfc.gov.cn",
"image_url": "https://commons.wikimedia.org/w/index.php?title=Special:Redirect/file/National Natural Science Foundation of China (20230310102823).jpg",
"image_thumbnail_url": "https://commons.wikimedia.org/w/index.php?title=Special:Redirect/file/National Natural Science Foundation of China (20230310102823).jpg&width=300",
"grants_count": 1698,
"awards_count": 1190293,
"outputs_count": 4455709,
"cited_by_count": 113648084,
"summary_stats": {
"2yr_mean_citedness": 5.924197295373457,
"h_index": 1211,
"i10_index": 2243793
},
"ids": {
"ror": "https://ror.org/01h0zpd94",
"wikidata": "https://www.wikidata.org/entity/Q4501917",
"crossref": "501100001809",
"doi": "10.13039/501100001809"
},
"counts_by_year": [
{
"year": 2028,
"outputs_count": 4,
"oa_outputs_count": 4,
"cited_by_count": 0
}
],
"roles": [
{
"role": "funder",
"id": "HX_F4320321001",
"outputs_count": 4455709
}
],
"updated_date": "2026-08-05T04:01:50",
"created_date": "2023-02-13T20:32:25"
}
]
}
{
"statusCode": 400,
"message": "Bad Request - Invalid query parameters",
"error": "Bad Request"
}
{
"statusCode": 429,
"message": "Rate limit exceeded. Maximum 30 requests per minute.",
"error": "Too Many Requests"
}